mainApp/urls.py
from django.contrib import admin
from rest_framework_simplejwt import views as jwt_views
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('restaurant.urls')),
    path('api-auth/', include('rest_framework.urls')),
    path('api/token/', jwt_views.TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/token/refresh/', jwt_views.TokenRefreshView.as_view(), name='token_refresh'),
]

restaurant/urls.py
from django.urls import path, include
from rest_framework import routers

from restaurant.views import CreateClient, ListClient, UpdateClient, DeleteClient, HomePageView, CreateWaiter, \
    ListWaiter, DeleteWaiter, CreateTypeProduct, ListTypeProduct, UpdateTypeProduct, DeleteTypeProduct, CreateProducts, \
    ListProducts, DeleteProducts, UpdateProducts, CreateTable, ListTable, UpdateTable, DeleteTable, CreateInvoice, \
    ListInvoice, UpdateInvoice, DeleteInvoice, CreateOrder, ListOrder, UpdateOrder, DeleteOrder, UpdateWaiter, \
    DetailViewInvoice, ClientViewSet, WaiterViewSet, TypeProductViewSet, ProductsViewSet, TableViewSet, InvoiceViewSet, \
    OrderViewSet

app_name = 'restaurant'

router = routers.DefaultRouter()
router.register(r'client', ClientViewSet)
router.register(r'waiter', WaiterViewSet)
router.register(r'type products', TypeProductViewSet)
router.register(r'products', ProductsViewSet)
router.register(r'table', TableViewSet)
router.register(r'invoice', InvoiceViewSet)
router.register(r'order', OrderViewSet)


urlpatterns = [
    path('', HomePageView.as_view(), name='home'),

    path('serializer/', include(router.urls), name='api'),

    # ---------------------------Urls Client--------------------------------
    path('create-client/', CreateClient.as_view(), name='create_client'),
    path('list-client/', ListClient.as_view(), name='list_client'),
    path('update-client/<int:pk>/', UpdateClient.as_view(), name='update_client'),
    path('delete-client/<int:pk>', DeleteClient.as_view(), name='delete_client'),

    # ---------------------------Urls Waiter--------------------------------
    path('create-waiter/', CreateWaiter.as_view(), name='create_waiter'),
    path('list-waiter/', ListWaiter.as_view(), name='list_waiter'),
    path('update-waiter/<int:pk>/', UpdateWaiter.as_view(), name='update_waiter'),
    path('delete-waiter/<int:pk>/', DeleteWaiter.as_view(), name='delete_waiter'),

    # ---------------------------Urls TypeProduct--------------------------------
    path('create-type/', CreateTypeProduct.as_view(), name='create_type'),
    path('list-type/', ListTypeProduct.as_view(), name='list_type'),
    path('update-type/<int:pk>/', UpdateTypeProduct.as_view(), name='update_type'),
    path('delete-type/<int:pk>/', DeleteTypeProduct.as_view(), name='delete_type'),

    # ---------------------------Urls Products--------------------------------
    path('create-products/', CreateProducts.as_view(), name='create_products'),
    path('list-products/', ListProducts.as_view(), name='list_products'),
    path('update-products/<int:pk>/', UpdateProducts.as_view(), name='update_products'),
    path('delete-products/<int:pk>/', DeleteProducts.as_view(), name='delete_products'),

    # ---------------------------Urls Table--------------------------------
    path('create-table/', CreateTable.as_view(), name='create_table'),
    path('list-table/', ListTable.as_view(), name='list_table'),
    path('update-table/<int:pk>/', UpdateTable.as_view(), name='update_table'),
    path('delete-table/<int:pk>/', DeleteTable.as_view(), name='delete_table'),

    # ---------------------------Urls Invoice--------------------------------
    path('create-invoice/', CreateInvoice.as_view(), name='create_invoice'),
    path('list-invoice/', ListInvoice.as_view(), name='list_invoice'),
    path('update-invoice/<int:pk>/', UpdateInvoice.as_view(), name='update_invoice'),
    path('delete-invoice/<int:pk>/', DeleteInvoice.as_view(), name='delete_invoice'),
    path('<int:pk>/', DetailViewInvoice.as_view(), name='detail_invoice'),

    # ---------------------------Urls Order--------------------------------
    path('create-order/', CreateOrder.as_view(), name='create_order'),
    path('list-order/', ListOrder.as_view(), name='list_order'),
    path('update-order/<int:pk>/', UpdateOrder.as_view(), name="update_order"),
    path('delete-order/<int:pk>/', DeleteOrder.as_view(), name="delete_order"),
]

templates/table/create_table.html
{% extends 'base.html' %}
{% block title %} Create Table {% endblock %}
{% load add_attr %}
{% block content %}
    <form method="POST" class="container mt-5">
        {% csrf_token %}
        <h1>Register Table</h1>
        <div class="row mb-3 mt-4 ">
            <label for="inputClient_number" class="col-sm-2 col-form-label">Num Pax</label>
            <div class="col-sm-10">
                {{ form.client_number | add_attr:"class:form-control, type:text, id:inputClient_number" }}
            </div>
        </div>
        <div class="row mb-3">
            <label for="inputCode" class="col-sm-2 col-form-label">Code</label>
            <div class="col-sm-10">
                {{ form.code | add_attr:"class:form-control, type:text, id:inputCode" }}
            </div>
        </div>
        <div class="row mb-3">
            <label for="inputLocation" class="col-sm-2 col-form-label">Location</label>
            <div class="col-sm-10">
                {{ form.location | add_attr:"class:form-control, type:text, id:inputLocation" }}
            </div>
        </div>
        <div>
            <input class="btn btn-success" type="submit" value="Save"/>
            <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-secondary" tabindex="-1" role="button">Cancel</a>
        </div>
    </form>
{% endblock %}

templates/table/delete_table.html
{% extends 'base.html' %}
{% block title %} Delete Order {% endblock %}
{% load add_attr %}
{% block content %}
    <form method="POST" class="container mt-5">
        {% csrf_token %}
        <h1 class="text-center mb-3">Delete Order</h1>
        <div class="d-flex position-relative shadow p-3 mb-5 bg-body rounded">
            <img src="/static/images/danger.svg" class="flex-shrink-0 me-3 w-25 p-3" alt="Danger">
            <div>
                <br/>
                <h5 class="mt-0">Are you Sure?</h5>
                <p>
                    <span>Do you want to delete this client?</span>
                </p>
                <div class="mb-2 mt-4">
                    {{ form.delete_table | add_attr:"class:form-check-input, type:checkbox, id:delete_client" }}
                    <label class="form-check-label" for="delete_client">
                        Checked for delete
                    </label>
                </div>
                <div>
                    <input class="btn btn-success" type="submit" value="Delete" />
                    <a href="{{ view.get_success_url }}" class="btn btn-secondary">Cancel</a>
                </div>
            </div>
        </div>
    </form>
{% endblock %}

templates/table/list_table.html
{% extends 'base.html' %}
{% block title %}List Table{% endblock %}
{% block content %}
    <div class="container">
    <h1 class="text-center mt-4">Table List</h1>
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Table</th>
                <th scope="col">Location</th>
                <th scope="col">Num Pax</th>
                <th scope="col">Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for table in object_list %}
            <tr>
                <th scope="row">{{ forloop.counter }}</th>
                <td>{{ table.code }}</td>
                <td>{{ table.location }}</td>
                <td>{{ table.client_number }}</td>
                <td><a href="{% url 'restaurant:update_table' table.id %}"><i class="fas fa-edit"></i></a>
                    | <a href="{% url 'restaurant:delete_table' table.id %}" class="link-danger"><i class="fas fa-trash"></i></a></td>
            </tr>
            {% endfor%}
            </tbody>
        </table>

    </div>
{% endblock %}

templates/table/update_table.html
{% extends 'base.html' %}
{% block title %} Update Table {% endblock %}
{% load add_attr %}
{% block content %}
    <form method="POST" class="container mt-5">
        {% csrf_token %}
        <h1>Update Table</h1>
        <div class="row mb-3 mt-4 ">
            <label for="inputClient_number" class="col-sm-2 col-form-label">Num Pax</label>
            <div class="col-sm-10">
                {{ form.client_number | add_attr:"class:form-control, type:text, id:inputClient_number" }}
            </div>
        </div>
        <div class="row mb-3">
            <label for="inputCode" class="col-sm-2 col-form-label">Code</label>
            <div class="col-sm-10">
                {{ form.code | add_attr:"class:form-control, type:text, id:inputCode" }}
            </div>
        </div>
        <div class="row mb-3">
            <label for="inputLocation" class="col-sm-2 col-form-label">Location</label>
            <div class="col-sm-10">
                {{ form.location | add_attr:"class:form-control, type:text, id:inputLocation" }}
            </div>
        </div>
        <div>
            <input class="btn btn-success" type="submit" value="Save"/>
            <a href="{{ view.get_success_url }}" class="btn btn-secondary">Cancel</a>
        </div>
    </form>
{% endblock %}